#ifndef __ICoreCommunicator_h__
#define __ICoreCommunicator_h__

#include "ISelector.h"
#include "IServerSocket.h"

class CoreMessage;

class ICoreCommunicator : public IServerSocket::ISocketAccepter, public ISelector::ISelectable
{
public:
    virtual void send( CoreMessage &coreMessage ) = 0;

    virtual ~ICoreCommunicator() {}
};

#endif // __ICoreCommunicator_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
