#include "CoreCommunicator.h"

namespace T
{
	ICoreCommunicator *createCoreCommunicator( ISelector &selector, IWeaver &weaver )
	{
		return new CoreCommunicator( selector, weaver );
	}

	void discardCoreCommunicator( ICoreCommunicator *coreCommunicator )
	{
		delete coreCommunicator;
	}
}

//
// Local Variables:
// compile-command: "make -C ../.. "
// tags-file-name: "../../TAGS"
// c-basic-offset: 4
// End:
//
