#ifndef __Point_h__
#define __Point_h__

struct Point
{
    Point( Point &other ) : _x( other._x ), _y( other._y )
    {
    }

    Point( int x, int y ) : _x( x ), _y( y )
    {
    }

    bool operator==( const Point &other ) const
    {
        return ( _x == other._x ) && ( _y == other._y );
    }

    int _x;
    int _y;
};

#endif // __Point_h__

//
// Local Variables:
// compile-command: "make -C .. "
// tags-file-name: "../TAGS"
// c-basic-offset: 4
// End:
//
